#
# spec file for package cdwtools (Version 0.93)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         cdwtools
Release:      18
Copyright:    1996, Thomas Niederreiter
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.93
Summary:      CDW tools
Source: cdwtools-0.93.tar.gz
Source1: cdda2wav-0.95beta03.tar.gz
Source2: wav2cdr-2.1.tar.gz
Patch: cdwtools-0.93.dif
Patch1: cdda2wav-0.95beta03.dif
%description
Frontend for various programs used to create CDs

Authors:
--------
    Thomas Niederreiter <p7003ad@sunmail.lrz-muenchen.de>

%prep
%setup -b 1 -b 2
make clean
%patch
cd ../cdda2wav-0.95beta03
%patch -P 1
chown -R root.root .
cd ../wav2cdr
chown -R root.root .
%build
make
cd ../cdda2wav-0.95beta03
autoconf
./configure --prefix=/usr
make
cd ../wav2cdr
make
%install
make install
install -d /usr/lib/cdwtools
install -m755 *.sh /usr/lib/cdwtools
mkdir doc doc/playcdr doc/isodetect doc/cmp2 doc/cat2
mkdir doc/cdda2cdr doc/cdda2wav doc/wav2cdr
cp -a README* WHATS.NEW cdwtools-0.93.lsm doc
cp -a src/playcdr/README doc/playcdr
cp -a src/isodetect/README doc/isodetect
cp -a src/cmp2/README doc/cmp2
cp -a src/cat2/README doc/cat2
cp -a src/cdda2cdr/README doc/cdda2cdr
cp -a src/cdda2cdr/README.CDR doc/cdda2cdr
cp -a src/cdda2cdr/NOTES doc/cdda2cdr
cp -a src/cdda2cdr/NEW_CHANGES doc/cdda2cdr
cd ../cdda2wav-0.95beta03
make install
cp -a HOWTOUSE ../cdwtools-0.93/doc/cdda2wav
cp -a README ../cdwtools-0.93/doc/cdda2wav
cp -a README.INSTALL ../cdwtools-0.93/doc/cdda2wav
cp -a README.GoldstarR580B ../cdwtools-0.93/doc/cdda2wav
cp -a README.2_0_33 ../cdwtools-0.93/doc/cdda2wav
cp -a README.paranoia ../cdwtools-0.93/doc/cdda2wav
cp -a THANKS ../cdwtools-0.93/doc/cdda2wav
cp -a TODO ../cdwtools-0.93/doc/cdda2wav
cd ../wav2cdr
make install HOME=/usr
cp -a README ../cdwtools-0.93/doc/wav2cdr
cp -a BUGS ../cdwtools-0.93/doc/wav2cdr
cp -a TODO ../cdwtools-0.93/doc/wav2cdr
Check
%files
/usr/lib/cdwtools
/usr/bin/cat2
/usr/bin/cdda2cdr
/usr/bin/cdda2mp3
/usr/bin/cdda2mp3.new
/usr/bin/cdda2wav
/usr/bin/cmp2
/usr/bin/isodetect
/usr/bin/playcdr
/usr/bin/readmult
/usr/bin/scan_scsi.linux
/usr/bin/wav2cdr
%doc doc/README doc/README.092 doc/WHATS.NEW doc/cdwtools-0.93.lsm
%doc doc/cat2 doc/cmp2 doc/isodetect doc/playcdr
%doc doc/cdda2cdr doc/cdda2wav doc/wav2cdr
%doc /usr/man/man1/cdda2wav.1.gz
%doc /usr/man/man1/wav2cdr.1.gz

